package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag999;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT999Creator;

public class Tag21Creator extends AbsTagCreate {
    private MT999Creator mt999Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt999Creator= (MT999Creator) absMTCreator;
    }

    public void creator()
    {
        String tag21Value = mt999Creator.getRelatedReference();
        mt999Creator.set("21", tag21Value);
    }
}
